Subject: Re: guix-daemon doesn't cleanly error-out on case-insensitive file systems.

From: Brian Cully <[email-masked]>
Date: Tue, 24 May 2022 18:54:31 -0400

Maxime Devos <[email-masked]> writes:

> Create a file /gnu/store/case-sensitivity-test (if it doesn't 
> already
> exist).  Open /gnu/store/CASE-SENSITIVITY-TEST.  If it succeeds, 
> you
> have a case-sensitive file system.

Hah. I was so wrapped up in thinking about kernel or POSIX APIs I 
missed the obvious thing. ;)

/If/ we go this route, though, I’d suggest a small change to 
handle so-called “mixed-case” file-systems, where you can have two 
files differentiated by case, but if there’s no ambiguity, then 
one may address a file using any case:

 - echo lower-case > case-sensitivity-test
 - echo UPPER-CASE > CASE-SENSITIVITY-TEST
 - test x$(cat CASE-SENSITIVITY-TEST) = xUPPER-CASE

-bjc